# gdcm::Pixmap Class Reference

Pixmap class A bitmap based image. Used as parent for both IconImage and the main Pixel Data Image It does not contains any World Space information (IPP, IOP). More...

`#include <gdcmPixmap.h>`

Inheritance diagram for gdcm::Pixmap:
[legend]
Collaboration diagram for gdcm::Pixmap:
[legend]

List of all members.

## Public Member Functions
| Pixmap ()
| ~Pixmap ()
bool | AreOverlaysInPixelData () const
| returns if Overlays are stored in the unused bit of the pixel data:
const Curve & | GetCurve (unsigned int i=0) const
Curve & | GetCurve (unsigned int i=0)
| Curve: group 50xx.
IconImage & | GetIconImage ()
const IconImage & | GetIconImage () const
| Set/Get Icon Image.
unsigned int | GetNumberOfCurves () const
unsigned int | GetNumberOfOverlays () const
const Overlay & | GetOverlay (unsigned int i=0) const
Overlay & | GetOverlay (unsigned int i=0)
| Overlay: group 60xx.
void | Print (std::ostream &) const
void | SetNumberOfCurves (unsigned int n)
void | SetNumberOfOverlays (unsigned int n)
## Protected Attributes
std::vector< Curve > | Curves
IconImage | Icon
std::vector< Overlay > | Overlays

## Detailed Description

Pixmap class A bitmap based image. Used as parent for both IconImage and the main Pixel Data Image It does not contains any World Space information (IPP, IOP).

## Constructor & Destructor Documentation

gdcm::Pixmap::Pixmap | ( |  | ) |

gdcm::Pixmap::~Pixmap | ( |  | ) |

## Member Function Documentation

bool gdcm::Pixmap::AreOverlaysInPixelData | ( |  | ) | const`[virtual]`

returns if Overlays are stored in the unused bit of the pixel data:

Reimplemented from gdcm::Bitmap.

const Curve& gdcm::Pixmap::GetCurve | ( | unsigned int | i = `0` | ) | const`[inline]`

Curve& gdcm::Pixmap::GetCurve | ( | unsigned int | i = `0` | ) | `[inline]`

Curve: group 50xx.

IconImage& gdcm::Pixmap::GetIconImage | ( |  | ) | `[inline]`

const IconImage& gdcm::Pixmap::GetIconImage | ( |  | ) | const`[inline]`

Set/Get Icon Image.

unsigned int gdcm::Pixmap::GetNumberOfCurves | ( |  | ) | const`[inline]`

unsigned int gdcm::Pixmap::GetNumberOfOverlays | ( |  | ) | const`[inline]`

const Overlay& gdcm::Pixmap::GetOverlay | ( | unsigned int | i = `0` | ) | const`[inline]`

Overlay& gdcm::Pixmap::GetOverlay | ( | unsigned int | i = `0` | ) | `[inline]`

Overlay: group 60xx.

void gdcm::Pixmap::Print | ( | std::ostream & |  | ) | const`[inline, virtual]`

Reimplemented from gdcm::Bitmap.

Reimplemented in gdcm::Image.

void gdcm::Pixmap::SetNumberOfCurves | ( | unsigned int | n | ) | `[inline]`

void gdcm::Pixmap::SetNumberOfOverlays | ( | unsigned int | n | ) | `[inline]`

## Member Data Documentation

std::vector<Curve> gdcm::Pixmap::Curves`[protected]`

IconImage gdcm::Pixmap::Icon`[protected]`

std::vector<Overlay> gdcm::Pixmap::Overlays`[protected]`

The documentation for this class was generated from the following file:

- gdcmPixmap.h